.CommonListingCard {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: #ffffff 0% 0% no-repeat padding-box;
  box-shadow: 0px 0px 6px #00000008;
  border: 1px solid #000000;
  border-radius: 12px;
  padding: 8px;
  margin-bottom: 20px;
  /* flex-wrap: wrap; */
  gap: 20px;
}
.CommonListingCard .image-content-wrapper {
  display: flex;
  gap: 10px;
}
.CommonListingCard .listing_card_image {
  width: 240px;
  height: 150px;
  position: relative;
  flex-shrink: 0;
}
.CommonListingCard .listing_card_image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}
.CommonListingCard .property_status {
  position: absolute;
  top: 8px;
  left: 8px;
  color: #fff;
  font-size: 12px;
  padding: 3px 10px;
  border-radius: 6px;
}
.CommonListingCard .photo_count {
  position: absolute;
  bottom: 8px;
  left: 8px;
  background: rgba(0, 0, 0, 0.7);
  color: #fff;
  font-size: 12px;
  padding: 2px 8px;
  border-radius: 4px;
}
.CommonListingCard .property_card_content {
  /* flex: 1 1; */
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  max-width: 250px;
  width: 250px;
}
.CommonListingCard .property_card_content h2 {
  font-size: 24px;
  font-weight: 700;
  margin-bottom: 8px;
  color: #000000;
}
.CommonListingCard .property_card_content h3 {
  font-size: 18px;
  font-weight: 500;
  color: #000000;
  margin-bottom: 8px;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}
.CommonListingCard .location {
  font-size: 13px;
  color: #000;
  margin-bottom: 0px;
}
.CommonListingCard .listed_date {
  font-size: 15px;
  color: #000000;
  margin: 0;
}
.CommonListingCard .property_stats {
  display: flex;
  background: #f5f5f5;
  border-radius: 10px;
  overflow: hidden;
}
.CommonListingCard .stat_box {
  width: 120px;
  text-align: center;
  padding: 5px;
  border-right: 1px solid #ddd;
}
.CommonListingCard .stat_box:last-child {
  border-right: none;
}
.CommonListingCard .icon {
  font-size: 22px;
}
.CommonListingCard .stat_box h4 {
  font-size: 18px;
  font-weight: 700;
  /* margin: 10px 0 5px; */
  color: #000;
  margin-bottom: 2px;
}
.CommonListingCard .stat_box p {
  font-size: 13px;
  color: #666;
  margin-bottom: 3px;
}
.CommonListingCard .property_actions {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.CommonListingCard .property_actions button {
  border: none;
  padding: 5px 18px;
  border-radius: 6px;
  cursor: pointer;
  font-size: 14px;
}
.CommonListingCard .sold_btn {
  background: #79c143;
  color: #fff;
}
.CommonListingCard .mark_sold_active {
  background-color: #79c143;
}
.CommonListingCard .sold_active {
  background-color: #2ea7e0;
}
.CommonListingCard .edit_btn,
.CommonListingCard .delete_btn {
  background: #f2f2f2;
  color: #888;
}
.CommonListingCard .request_status_wrapper {
  flex: 1;
  text-align: center;
}
.CommonListingCard .request_status_wrapper h4 {
  font-size: 17px;
  font-weight: 600;
  margin-bottom: 2px;
}
.CommonListingCard .request_status {
  font-size: 17px;
  font-weight: 600;
  margin: 0;
}
.CommonListingCard .view_broker_btn {
  background: #333;
  color: #fff;
  border: none;
  padding: 12px 25px;
  border-radius: 4px;
  cursor: pointer;
}

/* ======================= Media Queries ===================== */

@media (min-width: 768px) and (max-width: 1199px) {
  .CommonListingCard .listing_card_image {
    width: 220px;
  }
  .CommonListingCard .property_card_content h2 {
    font-size: 21px;
  }
  .CommonListingCard .property_card_content h3 {
    font-size: 16px;
  }
  .CommonListingCard .listing_card_image {
    width: 178px;
  }
  .CommonListingCard .property_card_content {
    width: 165px;
  }
  .CommonListingCard .stat_box {
    width: 86px;
  }
  .CommonListingCard .property_actions button {
    padding: 5px 11px;
    font-size: 13px;
  }
}

@media (min-width: 1200px) and (max-width: 1399px) {
  .CommonListingCard {
    gap: 12px;
  }
  .CommonListingCard .property_card_content h2 {
    font-size: 22px;
  }
  .CommonListingCard .property_card_content h3 {
    font-size: 16px;
  }
  .CommonListingCard .listing_card_image {
    width: 205px;
  }
  .CommonListingCard .property_card_content {
    width: 227px;
  }
  .CommonListingCard .property_actions button {
    padding: 4px 14px;
    font-size: 13px;
    white-space: nowrap;
  }
  .CommonListingCard .stat_box {
    width: 98px;
  }
}

@media (min-width: 0px) and (max-width: 767px) {
  .CommonListingCard {
    flex-direction: column;
    gap: 12px;
  }
  .CommonListingCard .property_actions {
    flex-direction: row;
    width: 100%;
  }
  .CommonListingCard .property_actions button {
    width: 100%;
  }
  .CommonListingCard .gray_wrapper {
    width: 100%;
  }
}

@media (min-width: 0px) and (max-width: 991px) {
  .CommonListingCard .property_card_content h2 {
    font-size: 20px;
  }
  .CommonListingCard .property_card_content h3 {
    font-size: 16px;
  }
  .CommonListingCard .request_status_wrapper h4,
  .CommonListingCard .request_status {
    font-size: 15px;
  }
  .CommonListingCard .listed_date {
    font-size: 13px;
  }
}
@media (min-width: 0px) and (max-width: 575px) {
  .CommonListingCard .image-content-wrapper {
    flex-direction: column;
    width: 100%;
  }
  .CommonListingCard .listing_card_image {
    width: 100%;
  }
  .CommonListingCard .property_stats {
    width: 100%;
  }
  .CommonListingCard .stat_box {
    width: 100%;
  }
  .CommonListingCard .property_card_content h3 {
    font-size: 14px;
    margin-bottom: 3px;
  }
  .CommonListingCard .property_card_content h2 {
    font-size: 16px;
    margin-bottom: 3px;
  }
  .CommonListingCard .location {
    margin-bottom: 3px;
  }
  .CommonListingCard .stat_box h4 {
    font-size: 15px;
    margin-bottom: 1px;
  }
  .CommonListingCard .property_actions button {
    padding: 4px 5px;
    font-size: 12px;
  }
  .CommonListingCard .gray_wrapper {
    width: 100%;
  }
  .CommonListingCard .request_status_wrapper h4 {
    font-size: 14px;

    margin-bottom: 4px;
  }
}
